質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.93%

bundle exec が使えなくて困っています

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 3,890

aw11_rails

score 11

いつもteratailで勉強させてもらっています。
bundle exec が使えないのでどなたかご教授して欲しいです

今回、Macのローカルでrailsの環境構築をしたところ
bundle exec が使えなくなってしまいました

 bundle exec rails new ~と打つと

bundler: failed to load command: rails (/Users/hogehoge/.rbenv/versions/2.5.0/bin/rails)
Gem::Exception: can't find executable rails for gem railties. railties is not currently included in the bundle, perhaps you meant to add it to your Gemfile?
/Users/hogehoge/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0/gems/bundler-1.16.5/lib/bundler/rubygems_integration.rb:462:in block in replace_bin_path'   /Users/hogehoge/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0/gems/bundler-1.16.5/lib/bundler/rubygems_integration.rb:482:in block in replace_bin_path'
/Users/hogehoge/.rbenv/versions/2.5.0/bin/rails:23:in `<top (required)>'

となってしまいます

 ruby環境構築でやったこと

Homebrew」をインストールする
「Homebrew」を用いて「rbenv」をインストールする
「rbenv」を用いてRubyをインストールする

brew -v
Homebrew 1.7.6
Homebrew/homebrew-core (git revision 7622; last commit 2018-10-03)

rbenv -v
rbenv 1.1.1

rbenv version
2.5.0 (set by /Users/shingonakatani/.rbenv/version)

ruby -v
ruby 2.5.0p0 (2017-12-25 revision 61468) [x86_64-darwin17]

 bundlerのインストール方法

$gem install bundler
$rbenv rehash
$bundler -v
Bundler version 1.16.5
$bundler init

Gemfileができたので入れたいGemを記入

gem "rails"

gem 'cocoapods' , '0.39.0'

Gemfileに書いた内容をインストール
$bundle install --path vendor/bundle

$ bundle exec pod --version
0.39.0

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

# gem "rails"のままにしている状況では、Railsはインストールされません。先頭の#を外してコメントを解除してからbundle installしてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/10/05 11:37

    # だけ外すべきでしたか

    キャンセル

  • 2018/10/05 11:39

    はい、#だけ外して「gem "rails"」としてください。

    キャンセル

  • 2018/10/05 11:55

    ありがとうございます。
    bundle exec rails new できました

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.93%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る